<template>
  <section>
    <base-card>
      <h5>Bienvenue sur votre espace membre {{renderuser.firstname}} {{renderuser.lastname}}<smal><i></i></smal></h5>
      <router-link to="/appels-offre/ajouter" class="btn btn-outline-dark mb-2">Faire un appel d'offre</router-link><br>
      <button class="btn btn-outline-dark mb-2">Proposer un service</button>
      <hr>
      <router-link to="/services" class="btn btn-outline-dark mb-2">Consulter les services proposés</router-link><br>
      <router-link to="/coaches" class="btn btn-outline-dark mb-2">Consulter les prestataires</router-link><br>
      <router-link to="/appels-offre" class="btn btn-outline-dark mb-2">Consulter les appels d'offre</router-link><br>
      <router-link to="/administration/categories" class="btn btn-outline-dark mb-2">Liste des categories</router-link><br>
      <router-link to="/administration/utilisateurs" class="btn btn-outline-dark mb-2">Liste des utilisateurs</router-link><br>
    </base-card>
    
  </section>
</template>

<script>

import API from '../../api';
import parsed from './parseToken';

export default {
   data (){
    return {
      userData : {}
    }
  },
  methods:{
    renderuser(){
      
      this.$store.dispatch('users/sessionUser')
      return this.$store.getters["users/sessionUser"]
    }
  },
  created() {
    this.renderuser();
  },
}

</script>

<style scoped>
.color-hint-button {
  background: lightseagreen;
}
</style>